package com.ruoyi.wms.repository;

import com.ruoyi.wms.po.ContainerInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Verasion:1.0
 * @Author:DZY
 * @Date:2023/6/27
 **/
@Repository
public interface ContainerInfoRepository extends JpaRepository<ContainerInfo,Long>, JpaSpecificationExecutor {
    List<ContainerInfo> findByContainerStatus(Integer status);
    ContainerInfo findByContainerNumber(String containerNumber);
    List<ContainerInfo> findByProductionTask(String productionTask);
}
