package com.ruoyi.wms.repository;

import com.ruoyi.wms.po.StoreInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Verasion:1.0
 * @Author:DZY
 * @Date:2023/6/27
 **/
@Repository
public interface StoreInfoRepository extends JpaRepository<StoreInfo,Long>, JpaSpecificationExecutor {
    StoreInfo findByStoreCode(String code);
    StoreInfo findByShelfCode(String shelfCode);
    List<StoreInfo> findByStoreTypeAndStoreStatus(Integer type,Integer status);
}
