package com.ruoyi.wms.vo;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author 李俊辉
 * @version 1.0
 * date: 2023/7/6
 */
@Data
public class ShelfInfoExportVo {
    @ApiParam(value = "货架编码")
    private String shelfCode;
    @ApiParam(value = "货架状态空闲占用禁用(预留功能)")
    private Integer shelfStatus;
    private String shelfStatusShow;
    @ApiParam(value = "生产任务单")
    private String productionTask;
    @ApiParam(value = "存放表数量")
    private Integer qty;
    @ApiParam(value = "当前货架存放任务单状态：5-待校验10-校验中15-校验完成20-待抽检25-待出库(缓存区)30-待出库(出库位)35-出库完成40-空箱")
    private Integer orderStatus;
    private String orderStatusShow;
    @ApiParam(value = "创建人")
    private String createdBy;
    @ApiParam(value = "创建时间")
    private String createdDt;
    @ApiParam(value = "更新人")
    private String updatedBy;
    @ApiParam(value = "更新时间")
    private String updatedDt;
}
