package com.ruoyi.wms.repository;

import com.ruoyi.wms.po.StationInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
*@Verasion:1.0
*@Author:DZY
*@Date:2023/6/27
**/
@Repository
public interface StationInfoRepository extends JpaRepository<StationInfo,Long>, JpaSpecificationExecutor {
    StationInfo findByStationCode(String stationCode);
    List<StationInfo> findByStationTypeAndStationStatus(Integer type,Integer status);
}
