package com.ruoyi.wms.vo;

import com.ruoyi.wms.po.OrderInfo;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author 李俊辉
 * @version 1.0
 * date: 2023/6/30
 */
@Data
public class FindOrderByStationVo extends OrderInfo {
    @ApiParam(value = "工位状态(5-空闲(默认)、10-作业中、15-停止作业、20-作业完成)")
    private Integer stationStatus;

    @ApiParam(value = "工位名称")
    private String stationName;

    @ApiParam(value = "工位类型：5-入库工位10-出库工位15-校验工位20-抽检工位25-发货库位")
    private Integer stationType;

    @ApiParam(value = "工位编码")
    private String stationCode;
}
